Bash-wrapper-functions: Difference between revisions

From NovaOrdis Knowledge Base
Jump to navigation Jump to search
No edit summary
Line 16: Line 16:
=Usage=
=Usage=


Copy <tt></tt> in the bin directory and refer it as following:
Copy <tt>bash-wrapper-functions</tt> in the bin directory and refer it as following:


   [ -f $(dirname $0)/bash-wrapper-functions ] && .  $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; }
   [ -f $(dirname $0)/bash-wrapper-functions ] && .  $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; }

Revision as of 18:21, 4 July 2017

Internal

Overview

A project that offers common bash wrapper functionality in form of a single function file to be sourced in the main wrapper.

Functionality:

  • Build a classpath based on the JAR content of a repository.

GitHub

https://github.com/NovaOrdis/bash-wrapper-functions

Usage

Copy bash-wrapper-functions in the bin directory and refer it as following:

 [ -f $(dirname $0)/bash-wrapper-functions ] && .  $(dirname $0)/bash-wrapper-functions || { echo "$(dirname $0)/bash-wrapper-functions not found" 1>&2; exit 1; }